<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/mainwindow.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">mainwindow.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QMainWindow&gt;</code><br />
<code>#include &quot;<a class="el" href="settings_8h_source.html">settings.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="lobby_8h_source.html">lobby.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="hostgame_8h_source.html">hostgame.h</a>&quot;</code><br />
<code>#include &lt;QPixmap&gt;</code><br />
<code>#include &lt;QPalette&gt;</code><br />
<code>#include &lt;QBrush&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
<code>#include &lt;QMediaPlayer&gt;</code><br />
<code>#include &lt;QUrl&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;ctime&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;fmt/core.h&gt;</code><br />
<code>#include &quot;<a class="el" href="NetworkService_8hpp_source.html">../network_service/NetworkService.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="config_8h_source.html">config.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="globals_8h_source.html">globals.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="gamestateservice_8h_source.html">gamestateservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for mainwindow.h:</div>
<div class="dyncontent">
<div class="center"><img src="mainwindow_8h__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2mainwindow_8h" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2mainwindow_8h" id="frontend_2src_2lib_2Main_01Window_2mainwindow_8h">
<area shape="rect" title=" " alt="" coords="1864,5,2040,47"/>
<area shape="rect" title=" " alt="" coords="1074,319,1190,345"/>
<area shape="rect" href="settings_8h.html" title=" " alt="" coords="795,244,882,271"/>
<area shape="rect" title=" " alt="" coords="499,319,581,345"/>
<area shape="rect" title=" " alt="" coords="397,319,475,345"/>
<area shape="rect" title=" " alt="" coords="605,319,675,345"/>
<area shape="rect" title=" " alt="" coords="667,557,794,584"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="3453,557,3526,584"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="2319,475,2452,502"/>
<area shape="rect" title=" " alt="" coords="65,557,138,584"/>
<area shape="rect" title=" " alt="" coords="3037,557,3126,584"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="2429,95,2497,121"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="626,475,707,502"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="3301,393,3451,420"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="4033,468,4191,509"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="1903,169,2001,196"/>
<area shape="rect" title=" " alt="" coords="4186,95,4299,121"/>
<area shape="rect" title=" " alt="" coords="4324,95,4375,121"/>
<area shape="rect" title=" " alt="" coords="4399,95,4457,121"/>
<area shape="rect" title=" " alt="" coords="4482,95,4547,121"/>
<area shape="rect" title=" " alt="" coords="803,393,898,420"/>
<area shape="rect" title=" " alt="" coords="283,557,384,584"/>
<area shape="rect" title=" " alt="" coords="3703,557,3783,584"/>
<area shape="rect" title=" " alt="" coords="953,319,1050,345"/>
<area shape="rect" title=" " alt="" coords="409,557,463,584"/>
<area shape="rect" title=" " alt="" coords="2847,475,2942,502"/>
<area shape="rect" title=" " alt="" coords="3460,632,3519,659"/>
<area shape="rect" title=" " alt="" coords="2643,557,2717,584"/>
<area shape="rect" title=" " alt="" coords="4069,557,4155,584"/>
<area shape="rect" title=" " alt="" coords="3279,475,3350,502"/>
<area shape="rect" title=" " alt="" coords="4280,557,4347,584"/>
<area shape="rect" title=" " alt="" coords="4179,557,4255,584"/>
<area shape="rect" title=" " alt="" coords="3869,557,3993,584"/>
<area shape="rect" title=" " alt="" coords="2679,393,2839,420"/>
<area shape="rect" title=" " alt="" coords="1685,244,1838,271"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="1813,319,1923,345"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="2067,244,2133,271"/>
<area shape="rect" title=" " alt="" coords="1243,393,1376,420"/>
<area shape="rect" title=" " alt="" coords="2965,393,3043,420"/>
<area shape="rect" title=" " alt="" coords="1401,393,1487,420"/>
<area shape="rect" title=" " alt="" coords="1511,393,1595,420"/>
<area shape="rect" title=" " alt="" coords="1619,393,1679,420"/>
<area shape="rect" title=" " alt="" coords="1703,393,1787,420"/>
<area shape="rect" title=" " alt="" coords="1812,393,1889,420"/>
<area shape="rect" title=" " alt="" coords="1914,393,1979,420"/>
<area shape="rect" title=" " alt="" coords="2004,393,2167,420"/>
<area shape="rect" title=" " alt="" coords="2191,393,2299,420"/>
<area shape="rect" title=" " alt="" coords="1075,393,1136,420"/>
<area shape="rect" title=" " alt="" coords="1160,393,1219,420"/>
<area shape="rect" href="cardwidget_8h.html" title=" " alt="" coords="3017,319,3124,345"/>
<area shape="rect" title=" " alt="" coords="3119,393,3225,420"/>
<area shape="rect" title=" " alt="" coords="2117,319,2187,345"/>
<area shape="rect" title=" " alt="" coords="2212,319,2287,345"/>
<area shape="rect" title=" " alt="" coords="2311,319,2409,345"/>
<area shape="rect" title=" " alt="" coords="2433,319,2511,345"/>
<area shape="rect" title=" " alt="" coords="2535,319,2686,345"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="mainwindow_8h__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2mainwindow_8hdep" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2mainwindow_8hdep" id="frontend_2src_2lib_2Main_01Window_2mainwindow_8hdep">
<area shape="rect" title=" " alt="" coords="94,5,270,47"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="5,95,161,136"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="185,95,376,136"/>
</map>
</div>
</div>
<p><a href="mainwindow_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMainWindow.html">MainWindow</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceUi"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceUi.html">Ui</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
